Schedules
For authentication instructions, see API overview.
Endpoints
get
List all schedules
Returns a list of schedules. The schedules are returned in sorted order, with the most recent appearing first.
Query parameters
limitintegerThe number of records to return
pageintegerThe page number
orderstringThe order of the records
sortBystringThe sort of the records
fieldsstringThe filter of the records
pstringpolicyFilters
qstringsearch query
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/schedulesResponse
No response schemapost
Create schedules
Create schedules. You need to pass through any required fields, and you can optionally pass through other fields.
Request body
namestringtimeZonestringactivebooleandefaultbooleandaysarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/schedules \ -d 'name="string"' \ -d 'timeZone="string"' \ -d 'active=true' \ -d 'default=true' \ -d 'days="array"'Response
No response schemaget
Retrieve schedules
Returns a single schedule, which you can request by passing through an id in the url.
Path parameters
idstringID of the schedule
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/schedules/:idResponse
No response schemaput
Update schedules
Path parameters
idstringID of the schedule
Request body
namestringtimeZonestringactivebooleandefaultbooleandaysarray
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X PUT \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/schedules/:id \ -d 'name="string"' \ -d 'timeZone="string"' \ -d 'active=true' \ -d 'default=true' \ -d 'days="array"'Response
No response schemapatch
Update schedules soft
Update schedules soft by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the schedule
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/schedules/:id